local GetWorldCityInfoMessage = BaseClass("GetWorldCityInfoMessage", SFSBaseMessage)
local base = SFSBaseMessage
local Localization = CS.GameEntry.Localization
local OnCreate = function(self, serverId)
  base.OnCreate(self)
  self.sfsObj:PutInt("serverId", serverId)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  local errCode = t.errorCode
  if errCode ~= nil then
    UIUtil.ShowTipsId(errCode)
  elseif t then
    DataCenter.WorldAllianceCityDataManager:UpdateAllCityData(t, t.serverId, WorldAllianceCityType.City)
  end
end
GetWorldCityInfoMessage.OnCreate = OnCreate
GetWorldCityInfoMessage.HandleMessage = HandleMessage
return GetWorldCityInfoMessage
